- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Creates a DataDomainBinding resource.
HTTP request
POST https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/dataDomains/*}/bindings
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The resource name of the parent DataDomain: projects/{project_id_or_number}/locations/{locationId}/dataDomains/{dataDomainId} |
Query parameters
| Parameters | |
|---|---|
dataDomainBindingId |
Optional. DataDomainBinding identifier. * Must contain only lowercase letters, numbers and hyphens. * Must start with a letter. * Must be between 1-63 characters. * Must end with a number or a letter. * Must be unique within the parent DataDomain. If not provided, a system-generated UUID will be used. |
validateOnly |
Optional. Only validate the request, but do not perform mutations. |
Request body
The request body contains an instance of DataDomainBinding.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/dataplex.read-write
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
dataplex.dataDomainBindings.create
For more information, see the IAM documentation.